name='nlohmann-json'
version='3.7.3'
release='1'
desc='Header-only JSON library for Modern C++'
homepage='https://github.com/nlohmann/json'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
licenses='MIT'
provides=('nlohmann-json')
conflicts=('nlohmann-json')

build_deps_rosa=('cmake' 'git')

sources=("git+https://github.com/nlohmann/json.git")
checksums=('SKIP')


build() {
	cd "${srcdir}/${name}-${version}"
	mkdir build
	cd ./build
	cmake ../json -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_LIBDIR=lib -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF
	make -j$(nproc)
}


package() {
	cd "${srcdir}/${name}-${version}/build"
	make "DESTDIR=${pkgdir}" install
	install -Dm644 "-t${pkgdir}/usr/share/licenses/${name}"
}
